/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCanvasRenderingContext2D_H___INT_
#define __GdomCanvasRenderingContext2D_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CanvasRenderingContext2D.h"
namespace WebCore {
    gpointer toGDOM(CanvasRenderingContext2D* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCanvasRenderingContext2D : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CANVAS_RENDERING_CONTEXT2D; }
    GDOMCanvasRenderingContext2D(PassRefPtr<WebCore::CanvasRenderingContext2D> impl);
    virtual ~GDOMCanvasRenderingContext2D();
    WebCore::CanvasRenderingContext2D* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CanvasRenderingContext2D> m_impl;
};
G_END_DECLS

#endif /* __GdomCanvasRenderingContext2D_H___INT_*/
